Gecode::ViewTraceInfo Class Reference

View trace information. More...

`#include <core.hpp>`

## Public Types

enum | What { PROPAGATOR = 0 , BRANCHER = 1 , POST = 2 , OTHER = 3 }
| What is currently executing. More...

## Public Member Functions

What | what (void) const
| Return what is currently executing.
const Propagator & | propagator (void) const
| Return currently executing propagator.
const Brancher & | brancher (void) const
| Return currently executing brancher.
PropagatorGroup | post (void) const
| Return propagator group of currently executing post function.

## Protected Member Functions

void | propagator (Propagator &p)
| Record that propagator p is executing.
void | brancher (Brancher &b)
| Record that brancher b is executing.
void | post (PropagatorGroup g)
| Record that a post function with propagator group g is executing.
void | other (void)
| Record that nothing is known at this point.

## Protected Attributes

ptrdiff_t | who
| Encoding a tagged pointer or a tagged group id.

## Related Symbols

(Note that these are not member symbols.)
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const ViewTraceInfo &vti)
| Print view trace information.

## Detailed Description

View trace information.

Definition at line 908 of file core.hpp.

## Member Enumeration Documentation

## What

enum Gecode::ViewTraceInfo::What

What is currently executing.

Enumerator
PROPAGATOR | A propagator is currently executing.
BRANCHER | A brancher is executing.
POST | A post function is executing.
OTHER | Unknown.

Definition at line 913 of file core.hpp.

## Member Function Documentation

## propagator() [1/2]

void Gecode::ViewTraceInfo::propagator | ( | Propagator & | p | ) |

inline protected

Record that propagator p is executing.

Definition at line 3316 of file core.hpp.

## brancher() [1/2]

void Gecode::ViewTraceInfo::brancher | ( | Brancher & | b | ) |

inline protected

Record that brancher b is executing.

Definition at line 3320 of file core.hpp.

## post() [1/2]

void Gecode::ViewTraceInfo::post | ( | PropagatorGroup | g | ) |

inline protected

Record that a post function with propagator group g is executing.

Definition at line 3324 of file core.hpp.

## other()

void Gecode::ViewTraceInfo::other | ( | void |  | ) |

inline protected

Record that nothing is known at this point.

Definition at line 3328 of file core.hpp.

## what()

ViewTraceInfo::What Gecode::ViewTraceInfo::what | ( | void |  | ) | const

inline

Return what is currently executing.

Definition at line 3332 of file core.hpp.

## propagator() [2/2]

const Propagator & Gecode::ViewTraceInfo::propagator | ( | void |  | ) | const

inline

Return currently executing propagator.

Definition at line 3336 of file core.hpp.

## brancher() [2/2]

const Brancher & Gecode::ViewTraceInfo::brancher | ( | void |  | ) | const

inline

Return currently executing brancher.

Definition at line 3342 of file core.hpp.

## post() [2/2]

PropagatorGroup Gecode::ViewTraceInfo::post | ( | void |  | ) | const

inline

Return propagator group of currently executing post function.

Definition at line 3347 of file core.hpp.

## Friends And Related Symbol Documentation

## operator<<()

template<class Char, class Traits>

std::basic_ostream< Char, Traits > & operator<< | ( | std::basic_ostream< Char, Traits > & | os,
|  | const ViewTraceInfo & | vti )

related

Print view trace information.

Definition at line 1 of file print.hpp.

## Member Data Documentation

## who

ptrdiff_t Gecode::ViewTraceInfo::who

protected

Encoding a tagged pointer or a tagged group id.

Definition at line 925 of file core.hpp.

The documentation for this class was generated from the following files:

- gecode/kernel/core.hpp
- gecode/kernel/trace/print.hpp